Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IBytecodeVisitor

All Known Implementing Classes:
  ByteCodeVisitorAdapter

public interface IBytecodeVisitor

Description of a Java opcodes visitor. This should be used to walk the opcodes of a ICodeAttribute. This interface is not intended to be implemented by clients.

Since:
  2.0

Method Summary
`void` | `_aaload(int pc)`
`void` | `_aastore(int pc)`
`void` | `_aconst_null(int pc)`
`void` | `_aload_0(int pc)`
`void` | `_aload_1(int pc)`
`void` | `_aload_2(int pc)`
`void` | `_aload_3(int pc)`
`void` | `_aload(int pc, int index)`
`void` | `_anewarray(int pc, int index, IConstantPoolEntry constantClass)`
`void` | `_areturn(int pc)`
`void` | `_arraylength(int pc)`
`void` | `_astore_0(int pc)`
`void` | `_astore_1(int pc)`
`void` | `_astore_2(int pc)`
`void` | `_astore_3(int pc)`
`void` | `_astore(int pc, int index)`
`void` | `_athrow(int pc)`
`void` | `_baload(int pc)`
`void` | `_bastore(int pc)`
`void` | `_bipush(int pc, byte _byte)`
`void` | `_breakpoint(int pc)`
`void` | `_caload(int pc)`
`void` | `_castore(int pc)`
`void` | `_checkcast(int pc, int index, IConstantPoolEntry constantClass)`
`void` | `_d2f(int pc)`
`void` | `_d2i(int pc)`
`void` | `_d2l(int pc)`
`void` | `_dadd(int pc)`
`void` | `_daload(int pc)`
`void` | `_dastore(int pc)`
`void` | `_dcmpg(int pc)`
`void` | `_dcmpl(int pc)`
`void` | `_dconst_0(int pc)`
`void` | `_dconst_1(int pc)`
`void` | `_ddiv(int pc)`
`void` | `_dload_0(int pc)`
`void` | `_dload_1(int pc)`
`void` | `_dload_2(int pc)`
`void` | `_dload_3(int pc)`
`void` | `_dload(int pc, int index)`
`void` | `_dmul(int pc)`
`void` | `_dneg(int pc)`
`void` | `_drem(int pc)`
`void` | `_dreturn(int pc)`
`void` | `_dstore_0(int pc)`
`void` | `_dstore_1(int pc)`
`void` | `_dstore_2(int pc)`
`void` | `_dstore_3(int pc)`
`void` | `_dstore(int pc, int index)`
`void` | `_dsub(int pc)`
`void` | `_dup_x1(int pc)`
`void` | `_dup_x2(int pc)`
`void` | `_dup(int pc)`
`void` | `_dup2_x1(int pc)`
`void` | `_dup2_x2(int pc)`
`void` | `_dup2(int pc)`
`void` | `_f2d(int pc)`
`void` | `_f2i(int pc)`
`void` | `_f2l(int pc)`
`void` | `_fadd(int pc)`
`void` | `_faload(int pc)`
`void` | `_fastore(int pc)`
`void` | `_fcmpg(int pc)`
`void` | `_fcmpl(int pc)`
`void` | `_fconst_0(int pc)`
`void` | `_fconst_1(int pc)`
`void` | `_fconst_2(int pc)`
`void` | `_fdiv(int pc)`
`void` | `_fload_0(int pc)`
`void` | `_fload_1(int pc)`
`void` | `_fload_2(int pc)`
`void` | `_fload_3(int pc)`
`void` | `_fload(int pc, int index)`
`void` | `_fmul(int pc)`
`void` | `_fneg(int pc)`
`void` | `_frem(int pc)`
`void` | `_freturn(int pc)`
`void` | `_fstore_0(int pc)`
`void` | `_fstore_1(int pc)`
`void` | `_fstore_2(int pc)`
`void` | `_fstore_3(int pc)`
`void` | `_fstore(int pc, int index)`
`void` | `_fsub(int pc)`
`void` | `_getfield(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` | `_getstatic(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` | `_goto_w(int pc, int branchOffset)`
`void` | `_goto(int pc, int branchOffset)`
`void` | `_i2b(int pc)`
`void` | `_i2c(int pc)`
`void` | `_i2d(int pc)`
`void` | `_i2f(int pc)`
`void` | `_i2l(int pc)`
`void` | `_i2s(int pc)`
`void` | `_iadd(int pc)`
`void` | `_iaload(int pc)`
`void` | `_iand(int pc)`
`void` | `_iastore(int pc)`
`void` | `_iconst_0(int pc)`
`void` | `_iconst_1(int pc)`
`void` | `_iconst_2(int pc)`
`void` | `_iconst_3(int pc)`
`void` | `_iconst_4(int pc)`
`void` | `_iconst_5(int pc)`
`void` | `_iconst_m1(int pc)`
`void` | `_idiv(int pc)`
`void` | `_if_acmpeq(int pc, int branchOffset)`
`void` | `_if_acmpne(int pc, int branchOffset)`
`void` | `_if_icmpeq(int pc, int branchOffset)`
`void` | `_if_icmpge(int pc, int branchOffset)`
`void` | `_if_icmpgt(int pc, int branchOffset)`
`void` | `_if_icmple(int pc, int branchOffset)`
`void` | `_if_icmplt(int pc, int branchOffset)`
`void` | `_if_icmpne(int pc, int branchOffset)`
`void` | `_ifeq(int pc, int branchOffset)`
`void` | `_ifge(int pc, int branchOffset)`
`void` | `_ifgt(int pc, int branchOffset)`
`void` | `_ifle(int pc, int branchOffset)`
`void` | `_iflt(int pc, int branchOffset)`
`void` | `_ifne(int pc, int branchOffset)`
`void` | `_ifnonnull(int pc, int branchOffset)`
`void` | `_ifnull(int pc, int branchOffset)`
`void` | `_iinc(int pc, int index, int _const)`
`void` | `_iload_0(int pc)`
`void` | `_iload_1(int pc)`
`void` | `_iload_2(int pc)`
`void` | `_iload_3(int pc)`
`void` | `_iload(int pc, int index)`
`void` | `_impdep1(int pc)`
`void` | `_impdep2(int pc)`
`void` | `_imul(int pc)`
`void` | `_ineg(int pc)`
`void` | `_instanceof(int pc, int index, IConstantPoolEntry constantClass)`
`void` | `_invokeinterface(int pc, int index, byte nargs, IConstantPoolEntry constantInterfaceMethodref)`
`void` | `_invokespecial(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` | `_invokestatic(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` | `_invokevirtual(int pc, int index, IConstantPoolEntry constantMethodref)`
`void` | `_ior(int pc)`
`void` | `_irem(int pc)`
`void` | `_ireturn(int pc)`
`void` | `_ishl(int pc)`
`void` | `_ishr(int pc)`
`void` | `_istore_0(int pc)`
`void` | `_istore_1(int pc)`
`void` | `_istore_2(int pc)`
`void` | `_istore_3(int pc)`
`void` | `_istore(int pc, int index)`
`void` | `_isub(int pc)`
`void` | `_iushr(int pc)`
`void` | `_ixor(int pc)`
`void` | `_jsr_w(int pc, int branchOffset)`
`void` | `_jsr(int pc, int branchOffset)`
`void` | `_l2d(int pc)`
`void` | `_l2f(int pc)`
`void` | `_l2i(int pc)`
`void` | `_ladd(int pc)`
`void` | `_laload(int pc)`
`void` | `_land(int pc)`
`void` | `_lastore(int pc)`
`void` | `_lcmp(int pc)`
`void` | `_lconst_0(int pc)`
`void` | `_lconst_1(int pc)`
`void` | `_ldc_w(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` | `_ldc(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` | `_ldc2_w(int pc, int index, IConstantPoolEntry constantPoolEntry)`
`void` | `_ldiv(int pc)`
`void` | `_lload_0(int pc)`
`void` | `_lload_1(int pc)`
`void` | `_lload_2(int pc)`
`void` | `_lload_3(int pc)`
`void` | `_lload(int pc, int index)`
`void` | `_lmul(int pc)`
`void` | `_lneg(int pc)`
`void` | `_lookupswitch(int pc, int defaultoffset, int npairs, int[][] offset_pairs)`
`void` | `_lor(int pc)`
`void` | `_lrem(int pc)`
`void` | `_lreturn(int pc)`
`void` | `_lshl(int pc)`
`void` | `_lshr(int pc)`
`void` | `_lstore_0(int pc)`
`void` | `_lstore_1(int pc)`
`void` | `_lstore_2(int pc)`
`void` | `_lstore_3(int pc)`
`void` | `_lstore(int pc, int index)`
`void` | `_lsub(int pc)`
`void` | `_lushr(int pc)`
`void` | `_lxor(int pc)`
`void` | `_monitorenter(int pc)`
`void` | `_monitorexit(int pc)`
`void` | `_multianewarray(int pc, int index, int dimensions, IConstantPoolEntry constantClass)`
`void` | `_new(int pc, int index, IConstantPoolEntry constantClass)`
`void` | `_newarray(int pc, int atype)`
`void` | `_nop(int pc)`
`void` | `_pop(int pc)`
`void` | `_pop2(int pc)`
`void` | `_putfield(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` | `_putstatic(int pc, int index, IConstantPoolEntry constantFieldref)`
`void` | `_ret(int pc, int index)`
`void` | `_return(int pc)`
`void` | `_saload(int pc)`
`void` | `_sastore(int pc)`
`void` | `_sipush(int pc, short value)`
`void` | `_swap(int pc)`
`void` | `_tableswitch(int pc, int defaultoffset, int low, int high, int[] jump_offsets)`
`void` | `_wide(int pc, int opcode, int index)`
`void` | `_wide(int pc, int iincopcode, int index, int _const)`

Method Detail

### _aaload

    public void _aaload(int pc)

### _aastore

    public void _aastore(int pc)

### _aconst_null

    public void _aconst_null(int pc)

### _aload

    public void _aload(int pc,
                       int index)

### _aload_0

    public void _aload_0(int pc)

### _aload_1

    public void _aload_1(int pc)

### _aload_2

    public void _aload_2(int pc)

### _aload_3

    public void _aload_3(int pc)

### _anewarray

    public void _anewarray(int pc,
                           int index,
                           IConstantPoolEntry constantClass)

### _areturn

    public void _areturn(int pc)

### _arraylength

    public void _arraylength(int pc)

### _astore

    public void _astore(int pc,
                        int index)

### _astore_0

    public void _astore_0(int pc)

### _astore_1

    public void _astore_1(int pc)

### _astore_2

    public void _astore_2(int pc)

### _astore_3

    public void _astore_3(int pc)

### _athrow

    public void _athrow(int pc)

### _baload

    public void _baload(int pc)

### _bastore

    public void _bastore(int pc)

### _bipush

    public void _bipush(int pc,
                        byte _byte)

### _caload

    public void _caload(int pc)

### _castore

    public void _castore(int pc)

### _checkcast

    public void _checkcast(int pc,
                           int index,
                           IConstantPoolEntry constantClass)

### _d2f

    public void _d2f(int pc)

### _d2i

    public void _d2i(int pc)

### _d2l

    public void _d2l(int pc)

### _dadd

    public void _dadd(int pc)

### _daload

    public void _daload(int pc)

### _dastore

    public void _dastore(int pc)

### _dcmpg

    public void _dcmpg(int pc)

### _dcmpl

    public void _dcmpl(int pc)

### _dconst_0

    public void _dconst_0(int pc)

### _dconst_1

    public void _dconst_1(int pc)

### _ddiv

    public void _ddiv(int pc)

### _dload

    public void _dload(int pc,
                       int index)

### _dload_0

    public void _dload_0(int pc)

### _dload_1

    public void _dload_1(int pc)

### _dload_2

    public void _dload_2(int pc)

### _dload_3

    public void _dload_3(int pc)

### _dmul

    public void _dmul(int pc)

### _dneg

    public void _dneg(int pc)

### _drem

    public void _drem(int pc)

### _dreturn

    public void _dreturn(int pc)

### _dstore

    public void _dstore(int pc,
                        int index)

### _dstore_0

    public void _dstore_0(int pc)

### _dstore_1

    public void _dstore_1(int pc)

### _dstore_2

    public void _dstore_2(int pc)

### _dstore_3

    public void _dstore_3(int pc)

### _dsub

    public void _dsub(int pc)

### _dup

    public void _dup(int pc)

### _dup_x1

    public void _dup_x1(int pc)

### _dup_x2

    public void _dup_x2(int pc)

### _dup2

    public void _dup2(int pc)

### _dup2_x1

    public void _dup2_x1(int pc)

### _dup2_x2

    public void _dup2_x2(int pc)

### _f2d

    public void _f2d(int pc)

### _f2i

    public void _f2i(int pc)

### _f2l

    public void _f2l(int pc)

### _fadd

    public void _fadd(int pc)

### _faload

    public void _faload(int pc)

### _fastore

    public void _fastore(int pc)

### _fcmpg

    public void _fcmpg(int pc)

### _fcmpl

    public void _fcmpl(int pc)

### _fconst_0

    public void _fconst_0(int pc)

### _fconst_1

    public void _fconst_1(int pc)

### _fconst_2

    public void _fconst_2(int pc)

### _fdiv

    public void _fdiv(int pc)

### _fload

    public void _fload(int pc,
                       int index)

### _fload_0

    public void _fload_0(int pc)

### _fload_1

    public void _fload_1(int pc)

### _fload_2

    public void _fload_2(int pc)

### _fload_3

    public void _fload_3(int pc)

### _fmul

    public void _fmul(int pc)

### _fneg

    public void _fneg(int pc)

### _frem

    public void _frem(int pc)

### _freturn

    public void _freturn(int pc)

### _fstore

    public void _fstore(int pc,
                        int index)

### _fstore_0

    public void _fstore_0(int pc)

### _fstore_1

    public void _fstore_1(int pc)

### _fstore_2

    public void _fstore_2(int pc)

### _fstore_3

    public void _fstore_3(int pc)

### _fsub

    public void _fsub(int pc)

### _getfield

    public void _getfield(int pc,
                          int index,
                          IConstantPoolEntry constantFieldref)

### _getstatic

    public void _getstatic(int pc,
                           int index,
                           IConstantPoolEntry constantFieldref)

### _goto

    public void _goto(int pc,
                      int branchOffset)

### _goto_w

    public void _goto_w(int pc,
                        int branchOffset)

### _i2b

    public void _i2b(int pc)

### _i2c

    public void _i2c(int pc)

### _i2d

    public void _i2d(int pc)

### _i2f

    public void _i2f(int pc)

### _i2l

    public void _i2l(int pc)

### _i2s

    public void _i2s(int pc)

### _iadd

    public void _iadd(int pc)

### _iaload

    public void _iaload(int pc)

### _iand

    public void _iand(int pc)

### _iastore

    public void _iastore(int pc)

### _iconst_m1

    public void _iconst_m1(int pc)

### _iconst_0

    public void _iconst_0(int pc)

### _iconst_1

    public void _iconst_1(int pc)

### _iconst_2

    public void _iconst_2(int pc)

### _iconst_3

    public void _iconst_3(int pc)

### _iconst_4

    public void _iconst_4(int pc)

### _iconst_5

    public void _iconst_5(int pc)

### _idiv

    public void _idiv(int pc)

### _if_acmpeq

    public void _if_acmpeq(int pc,
                           int branchOffset)

### _if_acmpne

    public void _if_acmpne(int pc,
                           int branchOffset)

### _if_icmpeq

    public void _if_icmpeq(int pc,
                           int branchOffset)

### _if_icmpne

    public void _if_icmpne(int pc,
                           int branchOffset)

### _if_icmplt

    public void _if_icmplt(int pc,
                           int branchOffset)

### _if_icmpge

    public void _if_icmpge(int pc,
                           int branchOffset)

### _if_icmpgt

    public void _if_icmpgt(int pc,
                           int branchOffset)

### _if_icmple

    public void _if_icmple(int pc,
                           int branchOffset)

### _ifeq

    public void _ifeq(int pc,
                      int branchOffset)

### _ifne

    public void _ifne(int pc,
                      int branchOffset)

### _iflt

    public void _iflt(int pc,
                      int branchOffset)

### _ifge

    public void _ifge(int pc,
                      int branchOffset)

### _ifgt

    public void _ifgt(int pc,
                      int branchOffset)

### _ifle

    public void _ifle(int pc,
                      int branchOffset)

### _ifnonnull

    public void _ifnonnull(int pc,
                           int branchOffset)

### _ifnull

    public void _ifnull(int pc,
                        int branchOffset)

### _iinc

    public void _iinc(int pc,
                      int index,
                      int _const)

### _iload

    public void _iload(int pc,
                       int index)

### _iload_0

    public void _iload_0(int pc)

### _iload_1

    public void _iload_1(int pc)

### _iload_2

    public void _iload_2(int pc)

### _iload_3

    public void _iload_3(int pc)

### _imul

    public void _imul(int pc)

### _ineg

    public void _ineg(int pc)

### _instanceof

    public void _instanceof(int pc,
                            int index,
                            IConstantPoolEntry constantClass)

### _invokeinterface

    public void _invokeinterface(int pc,
                                 int index,
                                 byte nargs,
                                 IConstantPoolEntry constantInterfaceMethodref)

### _invokespecial

    public void _invokespecial(int pc,
                               int index,
                               IConstantPoolEntry constantMethodref)

### _invokestatic

    public void _invokestatic(int pc,
                              int index,
                              IConstantPoolEntry constantMethodref)

### _invokevirtual

    public void _invokevirtual(int pc,
                               int index,
                               IConstantPoolEntry constantMethodref)

### _ior

    public void _ior(int pc)

### _irem

    public void _irem(int pc)

### _ireturn

    public void _ireturn(int pc)

### _ishl

    public void _ishl(int pc)

### _ishr

    public void _ishr(int pc)

### _istore

    public void _istore(int pc,
                        int index)

### _istore_0

    public void _istore_0(int pc)

### _istore_1

    public void _istore_1(int pc)

### _istore_2

    public void _istore_2(int pc)

### _istore_3

    public void _istore_3(int pc)

### _isub

    public void _isub(int pc)

### _iushr

    public void _iushr(int pc)

### _ixor

    public void _ixor(int pc)

### _jsr

    public void _jsr(int pc,
                     int branchOffset)

### _jsr_w

    public void _jsr_w(int pc,
                       int branchOffset)

### _l2d

    public void _l2d(int pc)

### _l2f

    public void _l2f(int pc)

### _l2i

    public void _l2i(int pc)

### _ladd

    public void _ladd(int pc)

### _laload

    public void _laload(int pc)

### _land

    public void _land(int pc)

### _lastore

    public void _lastore(int pc)

### _lcmp

    public void _lcmp(int pc)

### _lconst_0

    public void _lconst_0(int pc)

### _lconst_1

    public void _lconst_1(int pc)

### _ldc

    public void _ldc(int pc,
                     int index,
                     IConstantPoolEntry constantPoolEntry)

### _ldc_w

    public void _ldc_w(int pc,
                       int index,
                       IConstantPoolEntry constantPoolEntry)

### _ldc2_w

    public void _ldc2_w(int pc,
                        int index,
                        IConstantPoolEntry constantPoolEntry)

### _ldiv

    public void _ldiv(int pc)

### _lload

    public void _lload(int pc,
                       int index)

### _lload_0

    public void _lload_0(int pc)

### _lload_1

    public void _lload_1(int pc)

### _lload_2

    public void _lload_2(int pc)

### _lload_3

    public void _lload_3(int pc)

### _lmul

    public void _lmul(int pc)

### _lneg

    public void _lneg(int pc)

### _lookupswitch

    public void _lookupswitch(int pc,
                              int defaultoffset,
                              int npairs,
                              int[][] offset_pairs)

### _lor

    public void _lor(int pc)

### _lrem

    public void _lrem(int pc)

### _lreturn

    public void _lreturn(int pc)

### _lshl

    public void _lshl(int pc)

### _lshr

    public void _lshr(int pc)

### _lstore

    public void _lstore(int pc,
                        int index)

### _lstore_0

    public void _lstore_0(int pc)

### _lstore_1

    public void _lstore_1(int pc)

### _lstore_2

    public void _lstore_2(int pc)

### _lstore_3

    public void _lstore_3(int pc)

### _lsub

    public void _lsub(int pc)

### _lushr

    public void _lushr(int pc)

### _lxor

    public void _lxor(int pc)

### _monitorenter

    public void _monitorenter(int pc)

### _monitorexit

    public void _monitorexit(int pc)

### _multianewarray

    public void _multianewarray(int pc,
                                int index,
                                int dimensions,
                                IConstantPoolEntry constantClass)

### _new

    public void _new(int pc,
                     int index,
                     IConstantPoolEntry constantClass)

### _newarray

    public void _newarray(int pc,
                          int atype)

### _nop

    public void _nop(int pc)

### _pop

    public void _pop(int pc)

### _pop2

    public void _pop2(int pc)

### _putfield

    public void _putfield(int pc,
                          int index,
                          IConstantPoolEntry constantFieldref)

### _putstatic

    public void _putstatic(int pc,
                           int index,
                           IConstantPoolEntry constantFieldref)

### _ret

    public void _ret(int pc,
                     int index)

### _return

    public void _return(int pc)

### _saload

    public void _saload(int pc)

### _sastore

    public void _sastore(int pc)

### _sipush

    public void _sipush(int pc,
                        short value)

### _swap

    public void _swap(int pc)

### _tableswitch

    public void _tableswitch(int pc,
                             int defaultoffset,
                             int low,
                             int high,
                             int[] jump_offsets)

### _wide

    public void _wide(int pc,
                      int opcode,
                      int index)

### _wide

    public void _wide(int pc,
                      int iincopcode,
                      int index,
                      int _const)

### _breakpoint

    public void _breakpoint(int pc)

### _impdep1

    public void _impdep1(int pc)

### _impdep2

    public void _impdep2(int pc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.